Package: grails.async.web

## [Groovy] Class WebPromises

- grails.async.web.WebPromises

- A specific promises factory class designed for use in controllers and other web contexts

  Authors:
    Graeme Rocher
  Since:
    3.2.7

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static PromiseFactory` | `promiseFactory`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `static Promise<T>` | `createBoundPromise(T value)` @see grails.async.PromiseFactory#createBoundPromise(java.lang.Object)
    `<K, V>` | `static Promise<java.util.Map<K, V>>` | `createPromise(java.util.Map<K, V> map)` @see grails.async.PromiseFactory#createPromise(java.util.Map)
    `<T>` | `static Promise<java.util.List<T>>` | `createPromise(groovy.lang.Closure<T>... c)` @see grails.async.PromiseFactory#createPromise(groovy.lang.Closure[])
    `` | `static Promise<java.lang.Object>` | `createPromise()` @see grails.async.PromiseFactory#createPromise()
    `<T>` | `static Promise<T>` | `createPromise(java.lang.Class<T> returnType)` @see grails.async.PromiseFactory#createPromise(Class)
    `<T>` | `static Promise<T>` | `createPromise(groovy.lang.Closure<T> c, java.util.List<PromiseDecorator> decorators)` @see grails.async.PromiseFactory#createPromise(groovy.lang.Closure, java.util.List)
    `<T>` | `static Promise<java.util.List<T>>` | `createPromise(java.util.List<groovy.lang.Closure<T>> closures, java.util.List<PromiseDecorator> decorators)` @see grails.async.PromiseFactory#createPromise(java.util.List, java.util.List)
    `<T>` | `static Promise<java.util.List<T>>` | `createPromise(Promise<T>... promises)` @see grails.async.PromiseFactory#createPromise(grails.async.Promise[])
    `<T>` | `static Promise<java.util.List<T>>` | `onComplete(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)` @see grails.async.PromiseFactory#onComplete(java.util.List, groovy.lang.Closure)
    `<T>` | `static Promise<java.util.List<T>>` | `onError(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)` @see grails.async.PromiseFactory#onError(java.util.List, groovy.lang.Closure)
    `<T>` | `static Promise<T>` | `task(groovy.lang.Closure<T> c)` @see grails.async.PromiseFactory#createPromise(groovy.lang.Closure[])
    `<K, V>` | `static Promise<java.util.Map<K, V>>` | `tasks(java.util.Map<K, V> map)` @see grails.async.PromiseFactory#createPromise(java.util.Map)
    `<T>` | `static Promise<java.util.List<T>>` | `tasks(groovy.lang.Closure<T>... c)` @see grails.async.PromiseFactory#createPromise(groovy.lang.Closure[])
    `<T>` | `static Promise<java.util.List<T>>` | `tasks(java.util.List<groovy.lang.Closure<T>> closures)` @see grails.async.PromiseFactory#createPromise(groovy.lang.Closure[])
    `<T>` | `static java.util.List<T>` | `waitAll(Promise<T>... promises)` @see grails.async.PromiseFactory#waitAll(grails.async.Promise[])
    `<T>` | `static java.util.List<T>` | `waitAll(java.util.List<Promise<T>> promises)` @see grails.async.PromiseFactory#waitAll(java.util.List)
    `<T>` | `static java.util.List<T>` | `waitAll(java.util.List<Promise<T>> promises, long timeout, java.util.concurrent.TimeUnit units)` @see grails.async.PromiseFactory#waitAll(java.util.List)

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static PromiseFactory promiseFactory

  - ### Method Detail

    - #### <T> static Promise<T> createBoundPromise(T value)

      See Also:
        PromiseFactory.createBoundPromise

    - #### <K, V> static Promise<java.util.Map<K, V>> createPromise(java.util.Map<K, V> map)

      See Also:
        PromiseFactory.createPromise

    - #### <T> static Promise<java.util.List<T>> createPromise(groovy.lang.Closure<T>... c)

      See Also:
        PromiseFactory.createPromise

    - #### static Promise<java.lang.Object> createPromise()

      See Also:
        PromiseFactory.createPromise

    - #### <T> static Promise<T> createPromise(java.lang.Class<T> returnType)

      See Also:
        PromiseFactory.createPromise

    - #### <T> static Promise<T> createPromise(groovy.lang.Closure<T> c, java.util.List<PromiseDecorator> decorators)

      See Also:
        PromiseFactory.createPromise

    - #### <T> static Promise<java.util.List<T>> createPromise(java.util.List<groovy.lang.Closure<T>> closures, java.util.List<PromiseDecorator> decorators)

      See Also:
        PromiseFactory.createPromise

    - #### <T> static Promise<java.util.List<T>> createPromise(Promise<T>... promises)

      See Also:
        PromiseFactory.createPromise

    - #### <T> static Promise<java.util.List<T>> onComplete(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)

      See Also:
        PromiseFactory.onComplete

    - #### <T> static Promise<java.util.List<T>> onError(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)

      See Also:
        PromiseFactory.onError

    - #### <T> static Promise<T> task(groovy.lang.Closure<T> c)

      See Also:
        PromiseFactory.createPromise

    - #### <K, V> static Promise<java.util.Map<K, V>> tasks(java.util.Map<K, V> map)

      See Also:
        PromiseFactory.createPromise

    - #### <T> static Promise<java.util.List<T>> tasks(groovy.lang.Closure<T>... c)

      See Also:
        PromiseFactory.createPromise

    - #### <T> static Promise<java.util.List<T>> tasks(java.util.List<groovy.lang.Closure<T>> closures)

      See Also:
        PromiseFactory.createPromise

    - #### <T> static java.util.List<T> waitAll(Promise<T>... promises)

      See Also:
        PromiseFactory.waitAll

    - #### <T> static java.util.List<T> waitAll(java.util.List<Promise<T>> promises)

      See Also:
        PromiseFactory.waitAll

    - #### <T> static java.util.List<T> waitAll(java.util.List<Promise<T>> promises, long timeout, java.util.concurrent.TimeUnit units)

      See Also:
        PromiseFactory.waitAll